Page MenuHomePhabricator

Enable confirmation prompt for rollback by default
Closed, ResolvedPublic2 Story Points

Description

The default user setting for the rollback confirmation prompt is "disabled". For some wikis (dewiki, probably plwiki) this needs to be changed. According to the deployment plan, this should be done before March 19th.

Acceptance Criteria

  • dewiki is configured to enable the feature by default
  • plwiki is configured to enable the feature by default

Notes

  • We will have a final decision from the plwiki community by March 11th.

Event Timeline

Tobi_WMDE_SW set the point value for this task to 2.Mar 4 2019, 11:21 AM
Tim_WMDE claimed this task.Mar 4 2019, 5:14 PM
Tim_WMDE moved this task from Todo to Doing on the WMDE-FUN-Sprint-2019-03-04 board.
Tim_WMDE removed Tim_WMDE as the assignee of this task.Mar 4 2019, 5:19 PM
Tim_WMDE moved this task from Doing to Blocked externally on the WMDE-FUN-Sprint-2019-03-04 board.
Tim_WMDE added a subscriber: Tim_WMDE.

Blocked until the 11th of March the latest, waiting for response from the Polish community.

Patch is here but not showing on Phabricator:

https://gerrit.wikimedia.org/r/c/operations/mediawiki-config/+/494270

Change 495667 had a related patch set uploaded (by Tim Eulitz; owner: Tim Eulitz):
[operations/mediawiki-config@master] Add default user config for rollback confirmation

https://gerrit.wikimedia.org/r/495667

Important, when performing the SWAT, the deployer has to first deploy this patch:

https://gerrit.wikimedia.org/r/494270

Followed by this patch:

https://gerrit.wikimedia.org/r/495667

These two changes may not be in the same patch.

Change 494270 had a related patch set uploaded (by Jforrester; owner: Tim Eulitz):
[operations/mediawiki-config@master] Set up exceptions for rollback confirmation

https://gerrit.wikimedia.org/r/494270

Change 494270 merged by jenkins-bot:
[operations/mediawiki-config@master] Set up exceptions for rollback confirmation

https://gerrit.wikimedia.org/r/494270

Mentioned in SAL (#wikimedia-operations) [2019-03-14T18:13:28Z] <jforrester@deploy1001> Synchronized wmf-config/InitialiseSettings.php: SWAT T217436 Set up exceptions for rollback confirmation (duration: 00m 49s)

Change 495667 merged by jenkins-bot:
[operations/mediawiki-config@master] Add default user config for rollback confirmation

https://gerrit.wikimedia.org/r/495667

Mentioned in SAL (#wikimedia-operations) [2019-03-14T18:22:29Z] <jforrester@deploy1001> Synchronized wmf-config/CommonSettings.php: SWAT T217436 Add default user config for rollback confirmation (duration: 00m 48s)

kai.nissen closed this task as Resolved.Apr 15 2019, 11:08 AM